# intend to raw Makefile extention

install-exec-hook:
	mkdir -p $(DESTDIR)$(libdir)
	cp lib$(PACKAGE_NAME).so $(DESTDIR)$(libdir)

man_MANS = ../seed/$(PACKAGE_NAME).3 ../seed/$(PACKAGE_NAME).3.html

noinst_PROGRAMS = libbejmp.so
libbejmp_so_SOURCES = bejmp.c 	#upd:ls -a |sed -ne '/[^.]*[.]c$/p'
libbejmp_so_SOURCES += bejmp.h 	#upd:ls *.h
#libemsnip_so_LIBADD = libemsnip.a libluajit-5.1.a 
libbejmp_so_CFLAGS = -I./ -fPIC $(GEANY_CFLAGS) $(AM_CFLAGS)	#flg系は上書きなのでAMで残す
#libemsnip_so_LDFLAGS = -L./ -static -shared -Wl,-rpath,'$$ORIGIN' $(AM_LDFLAGS)
libbejmp_so_LDFLAGS = -L./ -shared $(AM_LDFLAGS)
libbejmp_so_LDADD = 	#upd:ls libluajit-*.a

EXTRA_DIST = Makefile Makefile.am Makefile.in makefile 	#upd:ls *akefile*
